Skip to main content

List GCP protection groups

Returns a list of GCP protection groups.

Query Parameters
  • limit int64

    Limits the size of the response on each page to the specified number of items.

  • start string

    Sets the page number used to browse the collection. Pages are indexed starting from 1 (i.e., ?start=1).

  • filter string

    Narrows down the results to only the items that satisfy the filter criteria. Supported filter fields:

    FieldConditionDescription
    id$eq,$inThe Clumio-assigned ID of the protection group.
    native_id$eq,$inThe native GCP identifier of the protection group.
    is_deleted$eqBoolean flag indicating whether to return deleted (true) or active (false) protection groups.
    name$eq,$containsThe display name of the protection group.
    protection_info.policy_id$eqThe Clumio-assigned ID of the policy protecting this resource.
    protection_status$inThe protection status of this resource. Possible values include protected and unprotected.
    deactivated$eqFilter assets protected by a deactivated policy.
  • bucket_uuid_detail string

    Controls which bucket UUID arrays are included in each protection group item. When omitted, both bucket_uuids and bucket_rule_matched_bucket_uuids are excluded to reduce payload size. Counts (bucket_count, manual_added_bucket_count, bucket_rule_matched_bucket_count) are always returned regardless of this parameter. Valid values: all, manual, bucket_rule.

  • lookback_days int64

    Calculate backup status stats for the last lookback_days days. When omitted, every counter in backup_status_stats is reported as zero and no lookback-window classification is performed.

Responses

Success


Schema
  • _embedded object
  • items object[]
  • backup_status_stats object

    Represents the aggregated stats for backup status.

  • failure_count int64

    The total number of entities that have a backup status of failure.

  • no_backup_count int64

    The total number of entities that have a backup status of no_backup.

  • partial_success_count int64

    The total number of entities that have a backup status of partial_success.

  • success_count int64

    The total number of entities that have a backup status of success.

  • bucket_count int64

    The total number of unique buckets in this protection group (manual + rule-matched, deduplicated).

  • bucket_rule object
  • gcp_label object

    At most one include and one exclude operator may be set.

  • $all object[]
  • key string
  • value string
  • $contains object
  • key string
  • value string
  • $eq object
  • key string
  • value string
  • $in object[]
  • key string
  • value string
  • $not_all object[]
  • key string
  • value string
  • $not_contains object
  • key string
  • value string
  • $not_eq object
  • key string
  • value string
  • $not_in object[]
  • key string
  • value string
  • gcp_location object
  • $eq string
  • $in string[]
  • $not_eq string
  • $not_in string[]
  • gcp_project_id object
  • $eq string
  • $in string[]
  • $not_eq string
  • $not_in string[]
  • bucket_rule_matched_bucket_count int64

    The number of buckets auto-included by the bucket rule.

  • bucket_rule_matched_bucket_uuids string[]

    The set of bucket UUIDs auto-included by the bucket rule. NOTE: A bucket that is both directly assigned and rule-matched will appear in both bucket_uuids and this field. Deduplicate before computing totals. Always returned on read/create/update. On the list endpoint, only returned when bucket_uuid_detail is "all" or "bucket_rule".

  • bucket_uuids string[]

    The set of bucket UUIDs directly assigned to this protection group (via manual membership). Does not include buckets auto-included by a bucket rule; see bucket_rule_matched_bucket_uuids for those. Always returned on read/create/update. On the list endpoint, only returned when bucket_uuid_detail is "all" or "manual".

  • created_timestamp string

    Creation time of the protection group in RFC-3339 format.

  • filter object
  • exclude_object_name_prefix_regexes string[]

    A list of prefixes to exclude from the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be excluded from the backup.

  • include_object_name_prefix_regexes string[]

    A list of prefixes to include in the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be included in the backup.

  • latest_version boolean

    Specifies that the protection group is configured with the latest version of the filter.

  • updated_after string

    Only backup objects that were created or last modified after this timestamp (in RFC-3339 format).

  • id string

    The Clumio-assigned ID of the protection group.

  • is_deleted boolean

    Determines whether the protection group is active or has been deleted.

  • labels object[]

    GCP labels (key-value pairs) associated with the protection group.

  • key string

    The GCP-assigned label key.

  • value string

    The GCP-assigned label value.

  • last_backup_timestamp string

    Time of the last backup in RFC-3339 format.

  • location string

    The location of the protection group (e.g., "us-central1", "us", "us-west1").

  • location_type string

    The location type of the protection group (e.g., "Region", "Dual-region", "Multi-region").

  • manual_added_bucket_count int64

    The number of buckets directly assigned to this protection group (via manual membership). Does not include buckets auto-included by a bucket rule; see bucket_rule_matched_bucket_count for those.

  • modified_timestamp string

    Modified time of the protection group in RFC-3339 format.

  • name string

    The user-assigned name of the protection group.

  • organizational_unit_id string

    The Clumio-assigned ID of the organizational unit associated with the Protection Group.

  • protection_info object
  • policy_id string

    The Clumio-assigned ID of the policy protecting this resource.

  • protection_status string

    The protection status of this resource. Possible values include "protected", "unprotected".

  • total_backed_up_object_count int64

    Cumulative count of all unexpired objects in each backup (any new or updated since the last backup) that have been backed up as part of this protection group

  • total_backed_up_size_bytes int64

    Cumulative size of all unexpired objects in each backup (any new or updated since the last backup) that have been backed up as part of this protection group

  • version int64

    Version of the protection group. The version number is incremented every time a change is made to the protection group.

  • current_count int64

    The number of items listed on the current page.

  • limit int64

    The maximum number of items displayed per page in the response.

  • start string

    The page number used to get this response. Pages are indexed starting from 1 (i.e., "start": "1").

  • total_count int64

    The total number of items, summed across all pages.

  • total_pages_count int64

    The total number of pages of results.

Loading...